Mail.ruПочтаМой МирОдноклассникиВКонтактеИгрыЗнакомстваНовостиПоискОблакоComboВсе проекты

Linux! "Проблема перехода с ядра 2.4 на 2.6". Гуглю - ненагугливаюсь ))

Пользователь удален Мастер (1375), на голосовании 13 лет назад
Вопрос: подскажите пожалуйста либо ссылку либо саму информацию по "проблеме перехода с ядра 2.4 на 2.6".

!!!!Пожалуйста воздержитесь от советов "пошел ты в <дистрибутив>". Я иду своим путем. =) Вопрос задал в поисках помощи по изучению системы. Линукс-маньяки меня поймут.

Дополнительная инфа:
- у меня RHEL4
- ставлю свежайшее ядро - 2.6.24
- проблема иначе называется "проблема с modutils и module-init-tools"
- новое ядро нормально загружается, но без модулей
- я уже скачал свежайшие сорцы обеих "mod...."-программ и поставил обе =). О том, что modeutils встала знамений не нашел ) вторая - точно стоит.

P.S. всем кто "не в теме" просьба не беспокоиться - все-равно такие ответы удалят когда я пожалуюсь.
Голосование за лучший ответ
NITRO Гуру (2638) 13 лет назад
Я, конечно, не ярый линуксойд, но что-то читал)) ) Так вот, если мне не изменяет память, то серия ядер 2.6* - это еще сырые необкатанные сборки, в общем подумай прежде чем использовать.
SataПрофи (749) 13 лет назад
NITRO, ты не прав, ядро 2.5 это бета, а вот 2.6 уже нормальное.
Xobrt, попробуй тут посмотреть "Сборник статей о Gentoo Linux версии 1.3" - http://linuxforum.ru/index.php?showtopic=43848
СартМудрец (12684) 13 лет назад
Если мы говорим о 2000 году, то не изменяет. А если о сегодняшнем дне - то изменяет по полной. Ядро 2.6 уже давно стабильное и обкатаное не раз и не два
Sata Профи (749) 13 лет назад
Xobrt, попробуй тут посмотреть "Сборник статей о Gentoo Linux версии 1.3" - http://linuxforum.ru/index.php?showtopic=43848
$|{iF Гуру (4879) 13 лет назад
кхм. . вы делали в /usr/src/linux
# make modules_install
и что конкретно не работает?
Алексей Неважно Мудрец (10237) 13 лет назад
если модули собраны и установлены:
depmod -a (на всякий случай)
и погугли насчет devfs (использовалась на ядрах серии 2.4.х) и udev (используется на 2.6.х)

попробуй руками загрузить модуль под нужное тебе устройство (modprobe имя_модуля)

задавай дальше вопросы, если что....
Похожие вопросы